# Author::    Sergio Fierens
# License::   MPL 1.1
# Project::   ai4r
# Url::       http://www.ai4r.org/
#
# You can redistribute it and/or modify it under the terms of 
# the Mozilla Public License version 1.1  as published by the 
# Mozilla Foundation at http://www.mozilla.org/MPL/MPL-1.1.txt
 

TRIANGLE_WITH_BASE_NOISE = [
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  4, 10, 10,  4,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  8,  8,  8,  8,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  4, 10,  4,  4, 10,  4,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  8,  8,  3,  3,  8,  8,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  4, 10,  4,  3,  3,  4, 10,  4,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3],
  [ 3,  3,  3,  4, 10,  4,  3,  3,  3,  3,  4, 10,  4,  3,  3,  3],
  [ 3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3],
  [ 3,  3,  4, 10,  4,  3,  3,  3,  3,  3,  3,  4, 10,  4,  3,  3],
  [ 3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3],
  [ 3,  4, 10,  4,  3,  3,  3,  3,  3,  3,  3,  3,  4, 10,  4,  3],
  [ 3,  8,  8,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  8,  8,  3],
  [ 4, 10,  4,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  4, 10,  4],
  [ 8,  8,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  8,  8],
  [10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10]
]

SQUARE_WITH_BASE_NOISE = [
  [10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 10],
  [10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10]
  
]

CROSS_WITH_BASE_NOISE = [
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8],
  [ 8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3],
  [ 3,  3,  3,  3,  3,  3,  3,  8,  8,  3,  3,  3,  3,  3,  3,  3]
]
  
